Bug 987897 - VM - network interfaces subtab has a delayed refresh and displays wrong info for a while
VM - network interfaces subtab has a delayed refresh and displays wrong info ...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.3
Unspecified Unspecified
medium Severity high
: m1
: 3.3.2
Assigned To: Lior Vernia
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 07:41 EDT by Alissa
Modified: 2015-05-04 21:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 09:24:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wrong nics refresh (87.51 KB, image/png)
2013-07-24 07:41 EDT, Alissa
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20082 None None None Never

  None (edit)
Description Alissa 2013-07-24 07:41:00 EDT
Created attachment 777744 [details]
wrong nics refresh

Description of problem:
When selecting a vm with 2 nics and then moving to a vm with one nic,
it still displays 2 nics, while one of them belongs to previous vm, and another to the current.
After couple of seconds it refreshes properly and shows only one nic.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.select vm with 2 nics
2.move to network interfaces subtab
3.select vm with 1 nic
4.network interfaces subtab displays 2 nics, both named nic1 - one from current vm, the other from previous
5. wait 2-3 seconds, it refreshes and one of them disappears.

Actual results:


Expected results:
display the correct nics from the beginning.


Additional info:
Comment 1 Sandro Bonazzola 2013-12-13 11:01:58 EST
rc build done, moving to ON_QA, packages will be available on updates-testing repository.
Comment 2 Sandro Bonazzola 2013-12-19 09:24:30 EST
oVirt 3.3.2 has been released resolving the problem described in this bug report.

Note You need to log in before you can comment on or make changes to this bug.